Name:		rancid
Version: 	3.2
Release:	11.1
License: 	GPL
Group: 		System
Summary: 	Really Awesome New Cisco confIg Differ
URL: 		http://www.shrubbery.net/rancid/
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}-dell.tar.bz2
Patch0:		rancid-skip-ping-test.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ expect >= 5.40 mailx iputils autoconf automake
%if 0%{?suse_version}
Requires(pre):	pwdutils
BuildRequires:	openssh
%else
Requires: shadow-utils
BuildRequires:	openssh-clients
%endif
BuildRequires:	telnet rsh

%if 0%{?fedora_version} || 0%{?centos_version}
BuildRequires: expect-devel
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
%endif

%description
This is a popular ISP toolkit, based on expect and shell scripts,
for managing router configurations.
Rancid monitors a router's (or device's) configuration, including
software and hardware (cards, serial numbers, etc), using CVS.
Rancid currently supports Cisco routers, Juniper routers, Catalyst
switches, Foundry switches, Redback NASs, and ADC EZT3 muxes.

%prep
%setup -a 1
%if 0%{?rhel} >= 7
%patch0
%endif

%build
%if 0%{?rhel} >= 7
autoreconf -fi
%endif
%configure
%__make

%install
%__make DESTDIR=%{buildroot} install

%__install -m755 rancid-dell/{drancid,dlogin} %{buildroot}%{_bindir}/
%__install -d %{buildroot}/var/log/rancid
rm -rf %{buildroot}/%{_datadir}/%{name}

%if 0%{?suse_version} > 1020
# create symlinks for man pages
%fdupes -s $RPM_BUILD_ROOT/%{_mandir}
%endif
find %{buildroot}/%{_mandir} -type f -exec gzip -9 {} \;

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || useradd -r -g %{name} -d /var/lib/%{name} -s /sbin/nologin -c "user for %{name}" %{name}
exit 0

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/lg.conf
%config(noreplace) %{_sysconfdir}/rancid.conf
%config(noreplace) %{_sysconfdir}/rancid.types.base
%{_bindir}/arrancid
%{_bindir}/agmrancid
%{_bindir}/srancid
%{_bindir}/alogin
%{_bindir}/arancid
%{_bindir}/blogin
%{_bindir}/brancid
%{_bindir}/cat5rancid
%{_bindir}/clogin
%{_bindir}/control_rancid
%{_bindir}/cssrancid
%{_bindir}/dlogin
%{_bindir}/drancid
%{_bindir}/elogin
%{_bindir}/erancid
%{_bindir}/f10rancid
%{_bindir}/flogin
%{_bindir}/fnrancid
%{_bindir}/hlogin
%{_bindir}/hpuifilter
%{_bindir}/hrancid
%{_bindir}/htlogin
%{_bindir}/htrancid
%{_bindir}/jerancid
%{_bindir}/jlogin
%{_bindir}/lg.cgi
%{_bindir}/lgform.cgi
%{_bindir}/mrancid
%{_bindir}/mtlogin
%{_bindir}/mtrancid
%{_bindir}/nlogin
%{_bindir}/nrancid
%{_bindir}/nslogin
%{_bindir}/nsrancid
%{_bindir}/par
%{_bindir}/rancid
%{_bindir}/rancid-cvs
%{_bindir}/rancid-fe
%{_bindir}/rancid-run
%{_bindir}/rivlogin
%{_bindir}/rivrancid
%{_bindir}/rrancid
%{_bindir}/xrancid
%{_bindir}/zrancid
%{_bindir}/avologin
%{_bindir}/avorancid
%{_bindir}/f5rancid
%{_bindir}/mrvlogin
%{_bindir}/tlogin
%{_bindir}/trancid
%{_bindir}/fnlogin
%{_bindir}/anlogin
%{_bindir}/complogin
%{_bindir}/dllogin
%{_bindir}/xilogin
%{_bindir}/xirancid
%{_bindir}/panlogin
%{_bindir}/plogin
%{_bindir}/wlogin
%{_mandir}/man1/arancid.1*
%{_mandir}/man1/brancid.1*
%{_mandir}/man1/alogin.1*
%{_mandir}/man1/blogin.1*
%{_mandir}/man1/cat5rancid.1*
%{_mandir}/man1/clogin.1*
%{_mandir}/man1/control_rancid.1*
%{_mandir}/man1/cssrancid.1*
%{_mandir}/man1/elogin.1*
%{_mandir}/man1/erancid.1*
%{_mandir}/man1/f10rancid.1*
%{_mandir}/man1/flogin.1*
%{_mandir}/man1/fnrancid.1*
%{_mandir}/man1/hlogin.1*
%{_mandir}/man1/hrancid.1*
%{_mandir}/man1/htlogin.1*
%{_mandir}/man1/htrancid.1*
%{_mandir}/man1/jerancid.1*
%{_mandir}/man1/jlogin.1*
%{_mandir}/man1/lg_intro.1*
%{_mandir}/man1/mrancid.1*
%{_mandir}/man1/mtlogin.1*
%{_mandir}/man1/mtrancid.1*
%{_mandir}/man1/nlogin.1*
%{_mandir}/man1/nrancid.1*
%{_mandir}/man1/nslogin.1*
%{_mandir}/man1/nsrancid.1*
%{_mandir}/man1/par.1*
%{_mandir}/man1/prancid.1*
%{_mandir}/man1/rancid-cvs.1*
%{_mandir}/man1/rancid-run.1*
%{_mandir}/man1/rancid.1*
%{_mandir}/man1/rancid_intro.1*
%{_mandir}/man1/rivlogin.1*
%{_mandir}/man1/rivrancid.1*
%{_mandir}/man1/xrancid.1*
%{_mandir}/man1/zrancid.1*
%{_mandir}/man1/agmrancid.1*
%{_mandir}/man1/avologin.1*
%{_mandir}/man1/avorancid.1*
%{_mandir}/man1/f5rancid.1*
%{_mandir}/man1/nxrancid.1*
%{_mandir}/man1/rrancid.1*
%{_mandir}/man1/srancid.1*
%{_mandir}/man1/tlogin.1*
%{_mandir}/man1/arrancid.1*
%{_mandir}/man1/mrvlogin.1*
%{_mandir}/man1/trancid.1*
%{_mandir}/man5/cloginrc.5*
%{_mandir}/man5/lg.conf.5*
%{_mandir}/man5/rancid.conf.5*
%{_mandir}/man5/router.db.5*
%{_mandir}/man1/fnlogin.1*
%{_mandir}/man1/anlogin.1*
%{_mandir}/man1/anrancid.1*
%{_mandir}/man1/complogin.1*
%{_mandir}/man1/comprancid.1*
%{_mandir}/man1/dllogin.1*
%{_mandir}/man1/xilogin.1*
%{_mandir}/man1/xirancid.1*
%{_mandir}/man1/panlogin.1*
%{_mandir}/man1/plogin.1*
%{_mandir}/man1/wlogin.1*
%{_mandir}/man3/rancid.3*
%{_mandir}/man5/rancid.types.base.5*
%{_mandir}/man5/rancid.types.conf.5*
%dir %{_libdir}/rancid
%{_libdir}/rancid/arbor.pm
%{_libdir}/rancid/dell.pm
%{_libdir}/rancid/eos.pm
%{_libdir}/rancid/foundry.pm
%{_libdir}/rancid/ios.pm
%{_libdir}/rancid/iosxr.pm
%{_libdir}/rancid/junos.pm
%{_libdir}/rancid/mrv.pm
%{_libdir}/rancid/rancid.pm
%{_libdir}/rancid/ciscowlc.pm
%{_libdir}/rancid/nxos.pm
%{_libdir}/rancid/panos.pm

%defattr(-,%{name},%{name})
/var/log/%{name}

%doc BUGS CHANGES COPYING FAQ README*

%changelog
* Thu Apr  9 2015 cs@linux-administrator.com
- update to release 3.2
* Wed Jul 23 2014 cs@linux-administrator.com
- update to release 3.1
* Sat Mar 29 2014 cs@linux-administrator.com
- added upstream patches for release 2.3.8
* Fri Dec 13 2013 cs@linux-administrator.com
- add files for DELL switches
- add log directory
- add default rancid user to system
* Sun Jan 13 2013 cs@linux-administrator.com
- Update to version 2.3.8
* Mon Aug 15 2011 cs@linux-administrator.com
- Update to version 2.3.6
